Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.orbspecific.hporb.interceptors.context
Class ContextORBInitializerImpl

    java.lang.Object
      org.omg.CORBA.LocalObject
          com.arjuna.ats.jts.orbspecific.hporb.interceptors.context.ContextORBInitializerImpl

All Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object, org.omg.PortableInterceptor.ORBInitializer, org.omg.PortableInterceptor.ORBInitializerOperations, java.io.Serializable

public class ContextORBInitializerImpl
extends org.omg.CORBA.LocalObject
implements org.omg.PortableInterceptor.ORBInitializer

See Also:
  Serialized Form

Constructor Summary
`ContextORBInitializerImpl()`

Method Summary
`void` | `post_init(org.omg.PortableInterceptor.ORBInitInfo init_info)`
`void` | `pre_init(org.omg.PortableInterceptor.ORBInitInfo init_info)`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### ContextORBInitializerImpl

    public ContextORBInitializerImpl()

Method Detail

### pre_init

    public void pre_init(org.omg.PortableInterceptor.ORBInitInfo init_info)

  Specified by:
    `pre_init` in interface `org.omg.PortableInterceptor.ORBInitializerOperations`

### post_init

    public void post_init(org.omg.PortableInterceptor.ORBInitInfo init_info)

  Specified by:
    `post_init` in interface `org.omg.PortableInterceptor.ORBInitializerOperations`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD